/*+
|                                               |
|     Trigger: DTULTATU_TESTESELEC              |  
|     Tabela : TESTESELEC                       |
|                                               |
|     Criao:                                  |
|     14/08/2007 - Luiz Passos                  |
|                                               |
+*/



CREATE OR REPLACE TRIGGER DTULTATU_TESTESELEC
BEFORE INSERT OR UPDATE OR DELETE
ON TESTESELEC FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTESTSEL := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTESTE,0) <> NVL(:NEW.CDTESTE,0)) OR
           (NVL(:OLD.NMTESTE,0) <> NVL(:NEW.NMTESTE,0)) OR
           (NVL(:OLD.DSOBSTESTE,0) <> NVL(:NEW.DSOBSTESTE,0)) THEN
         :NEW.DTULTATUTESTSEL := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TESTESELEC'  , '', 'CDTESTE='||:OLD.CDTESTE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TESTESELEC MODIFY DTULTATUTESTSEL DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TESTESELEC','5.01.008'); END;
/

