/*

@C:\WEB_605\SQL\END_CONV\SQLSERVER\5203_DFESTPS_Grava_Imposto.SQL

Nome: Grava_Imposto

Descrio:
 Atualizao das tabelas de impostos e limpeza dos tabelas de trabalho

Criao:
04/03/99 - Roberto A. Lopes Martins

Manutenes:
__/__/__ _________ - _____________________________________________
__/__/__ _________ - _____________________________________________
__/__/__ _________ - _____________________________________________
__/__/__ _________ - _____________________________________________

*/

IF EXISTS (SELECT *
           FROM SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'GRAVA_IMPOSTO' AND
              TYPE = 'P' 			      AND
              U.UID = O.UID            AND
              U.NAME = USER)

DROP PROCEDURE GRAVA_IMPOSTO
GO

CREATE PROCEDURE GRAVA_IMPOSTO
   @P_FILIAL VARCHAR(04),
   @P_LANCTONF VARCHAR(10)
AS
BEGIN
   DELETE FROM ITEMPROIMPOS
   WHERE CDFILIAL   = @P_FILIAL AND
         NRLANCTONF = @P_LANCTONF;

   DELETE FROM IMPOSNFTOT
   WHERE CDFILIAL   = @P_FILIAL AND
         NRLANCTONF = @P_LANCTONF;

   INSERT INTO ITEMPROIMPOS(
      CDFILIAL, NRLANCTONF, NRSEQITPROD, CDIMPOSTO, NRITPROIMPOS, CDFISCALIT, CDSITUTRIBIT,
      CDFISCOPERIT, CDSUFXCFOPIT, VRALIQITEM, VRPERREDBCIT, VRPARDEDIT, VRCONTITIMP,
      VRBASECALCIT, VRIMPOSTOIT, IDERROSIMPIT, IDAVISIMPIT, IDVALORINFIT,
      CDSITUTRIBITNFE, IDMODBCITNFE, IDMODBCSTITNFE, IDDIFALIQCUSPRI, VR1PERREDBCIT, VR1IMPREDBCIT,
      CDTPCREDPICOITE, CDNATUBCALPCIT, IDIMPDESONERAIT, IDMOTDESONERAIT, IDTRIMPSTII, CDREGRAIT, VRBCALCIRRF,
      CDDETALHEPROD,   CDENQLEGALIPI)
      (SELECT CDFILIMPOIT, NRLANCIMPOIT, NRSEQIMPOIT, CDIMPOSTOIT, NRSEQITPRO, CDFISCIMPOIT, CDSTRIBIMPOIT,
              CDFOPERIMPOIT, CDSCFOPIMPOIT, VRALIQIMPOIT, VRREDBCIMPOIT, VRPDEDIMPOIT, VRCONTIMPOIT,
              VRBCALCIMPOIT, VRIMPOSIT, IDERRIMPOIT, IDAVISIMPOIT, IDVALORINFO,
              CDSTRIBITNFE, IDMODBCITEMNFE, IDMODBCSTITENFE, IDDIFALIQCUSPTI, VR1REDBCIMPOIT, VR1IMPOSTOIT,
              CDTPCREDPICOITE, CDNATUBCALPCIT, IDIMPDESOTRABIT, IDMOTDESOTRABIT, IDTRIMPSTTI, CDREGRATRABIT, VRBCALCIRRF,
              CDDETALHEPROD,   CDENQLEGALIPI
       FROM TRABITPROIMPOS T, ITEMPRODUTO I
       WHERE (CDFILIMPOIT  = @P_FILIAL)    AND
             (NRLANCIMPOIT = @P_LANCTONF)  AND
             (CDFILIMPOIT  = I.CDFILIAL)   AND
             (NRLANCIMPOIT = I.NRLANCTONF) AND
             (NRSEQIMPOIT  = I.NRSEQITPROD));

   INSERT INTO IMPOSNFTOT(
      CDFILIAL, NRLANCTONF, CDIMPOSTO, VRTOTIMPONF, VRTOTBCALCNF,
      IDERROSIMPTT, IDAVISIMPTT)
      (SELECT CDFILIMPTOT, NRLANCIMPTOT, CDIMPOSTOT, VRIMPOSTOT, VRBCALIMPTOT,
              IDERROSTOT, IDAVISOSTOT
       FROM TRABIMPOSNFTOT
       WHERE CDFILIMPTOT  = @P_FILIAL AND
             NRLANCIMPTOT = @P_LANCTONF);

   DELETE FROM TRABITPROIMPOS
   WHERE CDFILIMPOIT  = @P_FILIAL AND
         NRLANCIMPOIT = @P_LANCTONF;

   DELETE FROM TRABIMPOSNFTOT
   WHERE CDFILIMPTOT  = @P_FILIAL AND
         NRLANCIMPTOT = @P_LANCTONF;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'GRAVA_IMPOSTO','6.05.000';
GO

