<?php
/**
 * Created by PhpStorm.
 * User: phillipesilva
 * Date: 11/03/2015
 * Time: 12:36
 */

namespace Zeedhi\DevOps\Util\Events\Organization;

use Doctrine\Common\EventSubscriber;
use Doctrine\ORM\Event\LifecycleEventArgs;
use Doctrine\ORM\Events;

class Subscriber implements EventSubscriber {

    protected $environment;

    public function __construct(Environment $environment) {
        $this->environment = $environment;
    }

    public function prePersist(LifecycleEventArgs $args) {
        $entity = $args->getEntity();
        if ($entity instanceof OrganizationAble) {
            $organizationId = $this->environment->getOrganizationId();

            if($organizationId) {
                $organization = $args->getEntityManager()->find('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization', $organizationId);

                if(!($organization instanceof \Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization)) {
                    $organization = $args->getEntityManager()->find('\Zeedhi\DevOps\Model\Projectmanagement\Entities\Organization', 1);
                }
                
                $entity->setOrganization($organization);
            }
        }
    }

    /**
     * Returns an array of events this subscriber wants to listen to.
     *
     * @return array
     */
    public function getSubscribedEvents() {
        return array(
            Events::prePersist,
        );
    }
} 