var Eventable = function() {
	var propagationStopped = false;
	var defaultPrevented = false;

	this.data = undefined;

	this.resetAllProperties = function() {
		propagationStopped = false;
		defaultPrevented = false;
		this.data = undefined;
	};

	this.isPropagationStopped = function() {
		return propagationStopped;
	};

	this.stopPropagation = function() {
		if (window.event && window.event.stopPropagation) {
			window.event.stopPropagation();
		}
		propagationStopped = true;
	};

	this.preventDefault = function() {
		if (window.event && window.event.preventDefault) {
			window.event.preventDefault();
		}
		defaultPrevented = true;
	};

	this.isDefaultPrevented = function() {
		return defaultPrevented;
	};
};